Simplify URL Matching in Redmine
2010-01-05 15:21 - Christoph Rauch

Status: Closed Start date: 2010-01-05
Priority: Low Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version:

Description
In our local Redmine Installation | use this patch to link to arbitrary protocols, e.g. on Ubuntu apt://rake installs rake upon clicking.

In order not to build every possible protocol into the regexp | simple replaced it with "some printable characters”. This is obviously
overly eager. For example foohttp://www.example.com/ does match with protocol "foohttp”, whereas previously it would be
recognized correctly.

Anyway, even if you won't include it I'll leave it here, in case someone could use it.

Thanks for this great project!

History

#1 - 2010-01-07 10:05 - Christian Sowada

Good Patch,
i've searched a protocol extension for Lotus Notes Links.
| hope that somthing like this patch goes into the release.

Thanks

#2 - 2010-01-15 18:13 - Eric Davis

This patch would match the javascript: link which could be a security risk.

#3 - 2024-02-27 17:59 - Holger Just

- Status changed from New to Closed

Auto-linking (i.e. when just writing a plain URL in the text field) is still restricted to the http/https or ftp/ftps protocols, both in Textile and the two
Markdown implementations. While it is debatable if ftp links should be auto-linked nowadays, | don't think we should expand the list of protocols to
avoid false-positives.

In any case, you can write explicit links with these protocols today, e.g. "Rake package":apt://rake will be rendered as Rake package when using
Textile.

With your patch, the security implications mentioned by Eric still apply. As such, we should not add it to Redmine as is. I'd still like thank you for your
contribution, even if rather belated :)
